VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::system::Time Interface Reference

`Time` interface provides methods Gets system time. More...

Inherited by vmware::appliance::system::TimeStub.

List of all members.

## Public Member Functions
vmware.appliance.system.TimeTypes.SystemTimeStruct | Get ()
| Get system time.
vmware.appliance.system.TimeTypes.SystemTimeStruct | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get system time.
global::System.Threading.Tasks.Task < vmware.appliance.system.TimeTypes.SystemTimeStruct > | GetAsync ()
| Get system time.
global::System.Threading.Tasks.Task < vmware.appliance.system.TimeTypes.SystemTimeStruct > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get system time.

## Detailed Description

`Time` interface provides methods Gets system time.

## Member Function Documentation

vmware.appliance.system.TimeTypes.SystemTimeStruct vmware::appliance::system::Time::Get | ( |  | ) |

Get system time.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System time

Implemented in vmware::appliance::system::TimeStub.

vmware.appliance.system.TimeTypes.SystemTimeStruct vmware::appliance::system::Time::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get system time.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System time

Implemented in vmware::appliance::system::TimeStub.

global::System.Threading.Tasks.Task<vmware.appliance.system.TimeTypes.SystemTimeStruct> vmware::appliance::system::Time::GetAsync | ( |  | ) |

Get system time.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System time

Implemented in vmware::appliance::system::TimeStub.

global::System.Threading.Tasks.Task<vmware.appliance.system.TimeTypes.SystemTimeStruct> vmware::appliance::system::Time::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get system time.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  System time

Implemented in vmware::appliance::system::TimeStub.

The documentation for this interface was generated from the following file:

- Time.cs